<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
$ruta = "../";
require_once "../include/bd_pdo.php";
global $db;
if (isset($_POST['dlfacultad']))
    $facultad = $_POST['dlfacultad'];
else
    $facultad = $_POST['mfacultad'];

if ($db->where('usuario_clave', $_POST['mclave'])->has('usuario')) {
    header("Location: ../usuarios.php?error=1");
    exit;
}
try {
    $db->insert('usuario', [
        'usuario_nombre' => mb_strtoupper($_POST['mnombre']),
        'usuario_correo' => $_POST['mcorreo'],
        'usuario_clave' => $_POST['mclave'],
        'rol_id' => $_POST['mrol'] ?? null,
        'facultad_id' => empty($facultad) ? null : $facultad,
    ]);
    header("Location: ../usuarios.php", true, 307);
} catch (PDOException $e) {
    header("Location: ../usuarios.php?error=2");
    exit;
}
